%global pkgvers 0
%global scdate0 20240214
%global schash0 39f06a4934a0707a35496cfabce45cfaf5c60d92
%global branch0 master
%global source0 https://github.com/airspy/airspyhf.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           airspyhf
Version:        1.6.8
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        User mode driver for Airspy HF+
License:        BSD

URL:            https://github.com/airspy/airspyhf

BuildRequires:  gcc-c++ git cmake pkgconfig libusb1-devel

%define __cmake_in_source_build 1

%description
User mode driver for Airspy HF+

%package        devel
Summary:        Development library of %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development library for %{name}

%package        static
Summary:        Development library of %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
Development library for %{name}


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DINSTALL_UDEV_RULES=ON \
       ..

%cmake_build
popd


%install
pushd build
%cmake_install
popd


%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_libdir}/*.so.*
%{_sysconfdir}/udev/rules.d/*.rules

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/*.a

%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- update github releases

